<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>{% block title %}Kif Zik {% endblock %}</title>
        {% block stylesheets %}
            <link rel="shortcut icon" type="image/x-icon" href="{{asset('bundles/kifzik/img/favicon.ico')}}"> 
            <link rel="stylesheet" href="{{asset('bundles/kifzik/bootstrap/css/bootstrap.min.css')}}" type="text/css"/>
            <link rel="stylesheet" href="{{asset('bundles/kifzik/css/kifzik.css')}}" type="text/css"/>
        {% endblock %}
    </head>
    <body>
        {% block header %}
            <div class="">
                <div class="row">
                    <div class="">
                        <nav class="navbar navbar-default" style="border-radius: 0px">
                            <div class="container-fluid">
                                <div class="navbar-header">
                                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                                        <span class="sr-only">Toggle navigation</span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                    <a class="navbar-brand" href="#">
                                        <img src="{{asset('bundles/kifzik/img/logo_mobile.png')}}" style="height: 22px"/>
                                    </a>
                                </div>

                                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                                    <ul class="nav navbar-nav">
                                        <li>
                                            <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                <span style="">Users</span>
                                                <span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                <li><a href="{{path('admin_artistes')}}">Artistes</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_fans')}}">Fans</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_admins')}}">Admin</a></li>
                                            </ul>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                <span style="">Projets</span>
                                                <span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                <li><a href="{{path('admin_projet_all')}}">Tous les projets</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_projet_non_valide')}}">Projets non validés</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_projet_valide')}}">Projets validés</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_projet_expire')}}">Projets expirés</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_projet_abouti')}}">Projets aboutis</a></li>
                                            </ul>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                <span style="">Soutient</span>
                                                <span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                <li><a href="{{path('admin_soutient_manifeste')}}">Soutient manifesté</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_soutient_reel')}}">Fan ayant soutenu</a></li>
                                            </ul>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                <span style="">Paramètre</span>
                                                <span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                <li><a href="{{path('admin_parameter_edit')}}">Modifier</a></li>
                                            </ul>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                <span style="">Contrepartie</span>
                                                <span class="caret"></span>
                                            </a>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                <li><a href="{{path('admin_contrepartie_add')}}">Ajouter</a></li>
                                                <li role="separator" class="divider"></li>
                                                <li><a href="{{path('admin_contrepartie_list')}}">Liste</a></li>
                                            </ul>
                                        </li>
                                        <li>
                                            {%if is_granted('IS_AUTHENTICATED_REMEMBERED') and app.user.roles[0] == 'ROLE_ADMIN'%}
                                                <a href="javascript:void(0)" class="dropdown header-link"   data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" style="text-transform: uppercase">
                                                    <span style="color: #fa9d0b; ">{{app.user.username}}</span>
                                                    <span class="caret"></span>
                                                </a>
                                                <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                                    <li><a href="#">Voir mon profil</a></li>
                                                    <li role="separator" class="divider"></li>
                                                    <li><a href="#">Modifier mot de passe</a></li>
                                                    <li role="separator" class="divider"></li>
                                                    <li><a href="{{path('admin_user_logout')}}">Déconnexion</a></li>
                                                </ul>
                                            {%endif%}
                                        </li>
                                    </ul>
                                </div><!-- /.navbar-collapse -->
                            </div><!-- /.container-fluid -->
                        </nav>
                    </div>
                </div>
            </div>
        {% endblock %}

        {% block notif%}
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        {% for type, messages in app.session.flashbag.all() %}
                            {% for message in messages %}
                                {%if type=="success"%}
                                    <div style="margin-top: 20px" class="alert alert-success alert-dismissible fade in" role="alert"> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button> 
                                        <strong>Bravo!</strong> {{message}}
                                    </div>
                                {%elseif type=="info"%}
                                    <div style="margin-top: 20px" class="alert alert-info alert-dismissible fade in" role="alert"> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button> 
                                        <strong>Info!</strong> {{message}}
                                    </div>
                                {%elseif type == "warning"%}
                                    <div style="margin-top: 20px" class="alert alert-warning alert-dismissible fade in" role="alert"> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button> 
                                        <strong>Avertissement!</strong> {{message}}
                                    </div>
                                {%else%}
                                    <div style="margin-top: 20px" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                        </button> 
                                        <strong>Erreur!</strong> {{message}}
                                    </div>
                                {%endif%}
                            {% endfor %}
                        {% endfor %}
                    </div>
                </div>
            </div>
        {% endblock %}
        <div class="container">
            {% block body %}

            {% endblock %}
        </div>
        {% block footer %}
            {%include 'MainBundle:Index:footer.html.twig'%}
        {% endblock %}

        {% block javascripts %}
            <script type="text/javascript" src="{{asset('bundles/kifzik/js/jquery-2.2.3.min.js')}}"></script>
            <script type="text/javascript" src="{{asset('bundles/kifzik/bootstrap/js/bootstrap.min.js')}}"></script>
            <script type="text/javascript" src="{{asset('bundles/kifzik/js/kifzik.js')}}"></script>
        {% endblock %}
    </body>
</html>
